## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global repo dde-session-shell

Name:           deepin-session-shell
Version:        6.0.21
Release:        %autorelease
Summary:        Deepin Desktop Environment - session-shell module
License:        GPL-3.0-or-later
URL:            https://github.com/linuxdeepin/dde-session-shell
Source0:        %{url}/archive/%{version}/%{repo}-%{version}.tar.gz
# Use registered OnlyShowIn value
Patch0:         https://github.com/linuxdeepin/dde-session-shell/pull/376.patch

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5Concurrent)
BuildRequires:  cmake(Qt5X11Extras)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Xml)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  cmake(Qt5Network)
# BuildRequires:  cmake(Qt5WebEngineWidgets)
# lrelease-qt5
BuildRequires:  qt5-linguist

BuildRequires:  cmake(DtkWidget)
BuildRequires:  cmake(DtkCMake)
BuildRequires:  cmake(DtkCore)
BuildRequires:  cmake(DtkTools)
BuildRequires:  cmake(GTest)

BuildRequires:  pkgconfig(xcb-ewmh)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(gsettings-qt)
BuildRequires:  pkgconfig(liblightdm-qt5-3)
BuildRequires:  pam-devel
BuildRequires:  openssl-devel
BuildRequires:  deepin-pw-check-devel

BuildRequires:  desktop-file-utils

Requires:       deepin-network-core
Requires:       deepin-qt5integration
# provides needed directories
Requires:       dbus-common
Requires:       %{_bindir}/qdbus-qt5
# used by /etc/deepin/greeters.d/00-xrandr
Requires:       %{_bindir}/xrandr
# used by /etc/deepin/greeters.d/10-cursor-theme
Requires:       %{_bindir}/xrdb
Requires:       lightdm

Provides:       lightdm-deepin-greeter%{?_isa} = %{version}-%{release}
Provides:       lightdm-greeter%{?_isa} = %{version}-%{release}

%description
DDE session shell provides two applications: dde-lock and lightdm-deepin-greeter.
dde-lock provides screen lock function, and lightdm-deepin-greeter provides
login function.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains development files for %{name}.

%prep
%autosetup -p1 -n %{repo}-%{version}

sed -i 's|lrelease|lrelease-qt5|' translate_generation.sh
sed -i 's|/usr/lib/x86_64-linux-gnu|%{_libdir}|' \
    files/wayland/deepin-greeter-wayland \
    files/wayland/lightdm-deepin-greeter-wayland

%build
%cmake -GNinja -DCMAKE_INSTALL_SYSCONFDIR=%{_sysconfdir}
%cmake_build

%install
%cmake_install
%find_lang dde-session-shell --with-qt
rm %{buildroot}%{_datadir}/dde-session-shell/translations/dde-session-shell.qm
chmod +x %{buildroot}%{_bindir}/deepin-greeter

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

%files -f dde-session-shell.lang
%doc README.md
%license LICENSE
%{_bindir}/dde-lock
%{_bindir}/lightdm-deepin-greeter
%{_bindir}/deepin-greeter
%dir %{_prefix}/lib/dde-session-shell
%dir %{_prefix}/lib/dde-session-shell/modules
%{_prefix}/lib/dde-session-shell/modules/libvirtualkeyboard.so
%dir %{_datadir}/dde-session-shell
%{_datadir}/dde-session-shell/dde-session-shell.conf
%{_datadir}/deepin-authentication/
%{_datadir}/applications/dde-lock.desktop
%{_datadir}/xgreeters/lightdm-deepin-greeter.desktop
%{_datadir}/dbus-1/services/org.deepin.dde.*.service
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/dsg/configs/org.deepin.dde.lightdm-deepin-greeter/*.json
%{_datadir}/dsg/configs/org.deepin.dde.lock/*.json
%{_sysconfdir}/pam.d/dde-lock
%{_sysconfdir}/deepin/greeters.d/00-xrandr
%{_sysconfdir}/deepin/greeters.d/10-cursor-theme
%{_sysconfdir}/deepin/greeters.d/lightdm-deepin-greeter
%{_sysconfdir}/lightdm/deepin/qt-theme.ini

%files devel
%{_includedir}/dde-session-shell/
%{_libdir}/cmake/DdeSessionShell/

%changelog
## START: Generated by rpmautospec
* Wed Aug 21 2024 Felix Wang <topazus@outlook.com> - 6.0.21-1
- 6.0.21

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.93-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.93-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.93-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Aug 21 2023 Robin Lee <cheeselee@fedoraproject.org> - 5.5.93-1
- New release 5.5.93

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.34-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.34-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Aug 22 2022 Robin Lee <cheeselee@fedoraproject.org> - 5.5.34-1
- New release 5.5.34

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Apr 19 2022 Robin Lee <cheeselee@fedoraproject.org> - 5.5.24-1
- New release 5.5.24

* Fri Feb 18 2022 Robin Lee <cheeselee@fedoraproject.org> - 5.4.112-3
- Fix initialization hang with black screen

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.4.112-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jan 04 2022 Robin Lee <cheeselee@fedoraproject.org> - 5.4.112-1
- New release 5.4.112

* Tue Sep 07 2021 Robin Lee <cheeselee@fedoraproject.org> - 5.4.58-1
- New release 5.4.58

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.3.0.45-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Mar 12 2021 Robin Lee <cheeselee@fedoraproject.org> - 5.3.0.45-1
- fix: 添加工作区后登录桌面过程中背景图片显示错误 (liuxing)
- fix: 待机唤醒先显示桌面后显示锁屏 (Zhang Qipeng)
- fix: logind username covered by logined LOGO (xuyanghe)
- fix: 使用xsettings来配置缩放 (hubenchang0515)
- fix: The style of login box is wrong (Zhang Qipeng)
- fix: logind username uncompleting (xuyanghe)

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.3.0.29-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Nov 29 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.3.0.29-2
- Work around hang of dde-lock

* Fri Nov 27 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.3.0.29-1
- new upstream release: 5.3.0.29

* Tue Nov 17 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.3.0.24-1
- Update to 5.3.0.24

* Sat Nov 14 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.3.0.22-2
- Requires dbus-common

* Fri Nov 13 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.3.0.22-1
- Initial packaging

## END: Generated by rpmautospec
